Redmine - Defect #13232

Link to topic in nonexistent forum causes error 500
2013-02-20 11:09 - Bjérn Peeméller

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Forums Estimated time: 0.00 hour
Target version: 224

Resolution: Fixed Affected version: 223
Description

Hi,

| just discovered that GETting an URL which points to a topic of a forum that does not exist causes an error 500. | could reproduce it
by the following steps:

1. Create a new project with forums enabled (optional)
2. Create a new forum
3. Create a new topic, remember the GET url
4. Delete the forum
5. GET the remembered url
The stack trace says:
ERROR MESSAGE:
NoMethodError: undefined method "messages' for nil:NilClass
WHERE :
messages#show
[PROJECT_ROOT] /app/controllers/messages_controller.rb:127
URL:
https://domain.com/redmine/boards/2/topics/55
BACKTRACE:
[PROJECT_ROOT] /app/controllers/messages_controller.rb:127
[GEM_ROOT] /gems/activesupport-3.2.12/1ib/active_support/callbacks.rb:462
[GEM_ROOT] /gems/activesupport-3.2.12/1ib/active_support/callbacks.rb:405
[GEM_ROOT] /gems/activesupport-3.2.12/1ib/active_support/callbacks.rb:405
]

[GEM_ROOT] /gems/activesupport—-3.2.12/1ib/active_support/callbacks.rb:385

I'm running Redmine 2.2.3.stable.

Associated revisions

Revision 11446 - 2013-02-20 21:59 - Jean-Philippe Lang

Fixed that requesting a message from an invalid forum should respond with 404 (#13232).

Revision 11596 - 2013-03-11 19:30 - Jean-Philippe Lang
Merged r11446 from trunk (#13232).

History

#1 - 2013-02-20 22:00 - Jean-Philippe Lang
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

2025-05-17 1/2




- Target version set to 2.2.4

- Resolution set to Fixed

Fixed in r11446, thanks for pointing this out.

#2 - 2013-03-11 19:30 - Jean-Philippe Lang

- Status changed from Resolved to Closed
